/*
 * Copyright (C) 2023 Robert Bosch GmbH Copyright (C) 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { BciSharedModule } from '@bci-web-core/core';
import { LabelValuePairDemoComponent } from './label-value-pair-demo';

describe('LabelValuePairDemoComponent', () => {
  let component: LabelValuePairDemoComponent;
  let fixture: ComponentFixture<LabelValuePairDemoComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [BciSharedModule, RouterTestingModule],
        declarations: [LabelValuePairDemoComponent],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(LabelValuePairDemoComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});